Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QXmlParseException Class Reference
[XML module]

The QXmlParseException class is used to report errors with the QXmlErrorHandler interface. More...

All the functions in this class are reentrant when Qt is built with thread support.

`#include <qxml.h>`

List of all member functions.

## Public Members

- QXmlParseException ( const QString & name = "", int c = -1, int l = -1, const QString & p = "", const QString & s = "" )
- int columnNumber () const
- int lineNumber () const
- QString publicId () const
- QString systemId () const
- QString message () const

## Detailed Description

The QXmlParseException class is used to report errors with the QXmlErrorHandler interface.

The XML subsystem constructs an instance of this class when it detects an error. You can retrieve the place where the error occurred using systemId(), publicId(), lineNumber() and columnNumber(), along with the error message().

See also QXmlErrorHandler, QXmlReader, and XML.

## Member Function Documentation

### QXmlParseException::QXmlParseException ( const QString & name = "", int c = -1, int l = -1, const QString & p = "", const QString & s = "" )

Constructs a parse exception with the error string name for column c and line l for the public identifier p and the system identifier s.

### int QXmlParseException::columnNumber () const

Returns the column number where the error occurred.

### int QXmlParseException::lineNumber () const

Returns the line number where the error occurred.

### QString QXmlParseException::message () const

Returns the error message.

### QString QXmlParseException::publicId () const

Returns the public identifier where the error occurred.

### QString QXmlParseException::systemId () const

Returns the system identifier where the error occurred.

This file is part of the Qt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.